Page MenuHomePhabricator

backup space is used unwisely
Closed, ResolvedPublic

Description

*list jobtotals

We are retaining 4TB for dbstore, our most important source of database backups (contains all backups for all wikis and misc services):

216,3754,202,894,319,256dbstore1001.eqiad.wmnet-Weekly-Wed-production-mysql-srv-backups

But we are wasting almost 9TB ! on OTRS, because the mysql dump contains files, due to: T138915

1 TB on labstestweb?
2 TB on silver?

How come we provide more space for test and support wikis that from production wikis?

Event Timeline

jcrespo created this task.Mar 3 2017, 12:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2017, 12:08 PM
Andrew added a subscriber: Andrew.Mar 3 2017, 3:11 PM

There's definitely no need to backup labtestweb. Silver is important to back up since it contains our techincal documentation... we have an offsite backup of it at https://wikitech-static.wikimedia.org/wiki/Main_Page but as far as I know that does not preserve all the edit history.

I don't know anything about otrs.

Ottomata triaged this task as Medium priority.Mar 6 2017, 7:50 PM

Change 347847 had a related patch set uploaded (by Alexandros Kosiaris):
[operations/puppet@production] Disable backups on labtestweb2001

https://gerrit.wikimedia.org/r/347847

Change 347847 merged by Alexandros Kosiaris:
[operations/puppet@production] Disable backups on labtestweb2001

https://gerrit.wikimedia.org/r/347847

Change 347851 had a related patch set uploaded (by Alexandros Kosiaris):
[operations/puppet@production] openstack: Decrease by 2 the backups held

https://gerrit.wikimedia.org/r/347851

Change 347851 merged by Andrew Bogott:
[operations/puppet@production] openstack: Decrease by 2 the backups held

https://gerrit.wikimedia.org/r/347851

Meno25 added a subscriber: Meno25.Apr 2 2020, 9:22 PM
jcrespo closed this task as Resolved.EditedApr 3 2020, 10:23 AM
jcrespo claimed this task.

Resolved long time ago with new backup setup initial refactoring: T229209 and T138562 for databases. More improvements on monitoring will come soon, too.

Meno25 removed a subscriber: Meno25.Jul 16 2020, 10:14 AM